# LocalPF (sshj 0.4.1 API)
Date: 2011-06-19

## examples
Class LocalPF

    java.lang.Object
      examples.LocalPF

    public class LocalPF

extends Object

This example demonstrates local port forwarding, i.e. when we listen on a particular address and port; and forward all incoming connections to SSH server which further forwards them to a specified address and port.

Constructor Summary
`LocalPF()`

Method Summary
`static void` `main(String... args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalPF

    public LocalPF()

Method Detail

### main

    public static void main(String... args)
                     throws IOException

  Throws:
    `IOException`

Copyright © 2009-2011. All Rights Reserved.